package legacymodel

import "time"

type WeiXins struct {
	ID           int       `orm:"column(id)" json:"id"`
	CreatedAt    time.Time `orm:"auto_now_add;type(datetime);null" json:"createdAt"`
	UpdatedAt    time.Time `orm:"auto_now;type(datetime);null" json:"updatedAt"`
	LastOperator string    `orm:"size(32)" json:"lastOperator"` // 最后操作员
	JxStoreID    int       `orm:"column(jxstoreid);index" json:"storeID"`
	OpenID       string    `orm:"column(openid);size(70);unique;null" json:"openID"`
	OpenIDMini   string    `orm:"column(openid_mini);size(70);unique;null" json:"openIDMini"`
	OpenIDUnion  string    `orm:"column(openid_union);size(70);unique;null" json:"openIDUnion"`
	Tel          string    `orm:"size(15);null;unique" json:"tel"`
	ParentID     int       `orm:"column(parentid);default(-1);index" json:"parentID"`
	NickName     string    `orm:"column(nickname);size(30)" json:"nickname"`
}

func (*WeiXins) TableName() string {
	return "weixins"
}
